javax.annotation.security

## Annotation Type RolesAllowed

    @Documented
     @Target(value={TYPE,METHOD})
     @Retention(value=RUNTIME)
    public @interface RolesAllowed

Since:
  Common Annotations 1.0

### Required Element Summary

Required Elements
`java.lang.String[]` `value`

### Element Detail

#### value

    public abstract java.lang.String[] value

Returns:
  a String[] of the allowed roles